Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 136056 - Implement ClassIndex for javafx
Implement ClassIndex for javafx
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Petr Nejedly
issues@javafx
: RELNOTE
Depends on:
Blocks: 125014 130138 135936 149360
  Show dependency treegraph
 
Reported: 2008-05-29 09:05 UTC by Petr Nejedly
Modified: 2009-07-17 08:00 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Nejedly 2008-05-29 09:05:09 UTC
ClassIndex is necessary for quite some functionality (completion of unimported classes, fix imports, quick open).

The ClassIndex should list all the JDK classes, all the FX SDK classes and all the user classes, which means a lot of
data. It might be possible to reuse the java project's ClassIndex for the platform content (JDK+FX SDK) and keep only
the project's additions.
Comment 1 Lark Fitzgerald 2008-06-19 18:34:41 UTC
This fix will not make it into the preview release.  Here are the ramifications of this issue.  This must be release 
noted.

--------------------
There are several bugs made dependent on this one (and maybe there will be more):
http://www.netbeans.org/issues/showdependencytree.cgi?id=136056

The problem here is that without implementing this one editor cannot "see"
classes that are not explicitly imported in the edited source file.

If you have in your source file e.g.

import javafx.gui.*;

We will code complete classes from the package if you type e.g.

new X();

and place the cursor before the X. But without this we will miss them. We know
that the user expects that the code completion should work even when (s)he types

new

and hits Ctrl-Space but that this does not work is the result of the compiler
issue. But the missing classes for the not yet imported packages/classes is the
results of not having implemented 136056 ...
Comment 2 Petr Nejedly 2008-11-02 00:15:57 UTC
Implemented an in-memory index of Elements from .fx source files. No listening for changes yet, but it serves completion
and fix imports well, it seems.
http://hg.netbeans.org/javafx/rev/b122fce0c46e
Comment 3 Alexandr Scherbatiy 2008-12-18 11:46:42 UTC
Verified. At least the fix imports works.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo